export const PRINTER_CONFIG = {
  ENCODING: 'CP437',
  DEFAULT_USER_ID: 1,
} as const;

export const FONT_SIZES = {
  NORMAL: { width: 1, height: 1 },  // 0.08 x 2.13 mm
  SMALL: { width: 0.5, height: 0.5 }, // Half size
  LARGE: { width: 2, height: 2 },   // Double size
} as const;

export const BARCODE_CONFIG = {
  TYPE: 'CODE39',
  DIMENSIONS: { width: 2, height: 50 },
  ALTERNATIVE_TYPES: ['CODE128', 'EAN13', 'UPC_A'] as const,
} as const;

export const PAPER_CONFIG = {
  BANNER_LENGTH: 24,
  CUT_LINES: 4,
} as const;

export const ALIGNMENT = {
  CENTER: 'ct',
  LEFT: 'lt',
} as const;

export const FONT = {
  DEFAULT: 'a',
} as const;

export const STYLE = {
  BOLD: 'b',
} as const;